function [m, crc] = DLSCHDecode_wrapper(enb, cw)
%DLSCHDecode_wrapper Featured example helper function

%   Copyright 2017 The MathWorks, Inc.

    if  size(enb.PDSCH.Modulation,1) > 1
         cw= {cw(:,1) cw(:,2)};
    end
    
    enb.PDSCH.Modulation = cellstr(enb.PDSCH.Modulation)';
    
    % Decode the DL-SCH   
    [m, crc] = lteDLSCHDecode(enb, enb.PDSCH,...
    enb.PDSCH.TrBlkSizes(:,mod(enb.NSubframe, 10)+1), cw, []);
    
    if iscell(m)
        m = cell2mat(m);
    end

end

